# 이벤트

정확한 데이터 분석과 성공적인 A/B 테스트를 위해서는 사용자의 행동 데이터, 즉 이벤트를 체계적으로 수집하고 관리해야 합니다.

이 가이드는 핵클에 최적화된 이벤트 설계 및 관리 가이드를 제공합니다.

### 이벤트

이벤트란 사용자가 서비스 내에서 발생시키는 모든 행동과 사건을 의미합니다. 핵클을 이용하면 다양한 이벤트를 수집하고, 이 이벤트를 기반으로 모든 데이터 분석과 실험의 성과를 측정합니다.

**주요 이벤트 예시**

<table><thead><tr><th width="199.52734375">구분</th><th>예시</th></tr></thead><tbody><tr><td><strong>행동 기반</strong></td><td>회원가입 완료, 검색 버튼 클릭, 상품 상세 페이지 진입, 구매 완료 등</td></tr><tr><td><strong>시스템 기반</strong></td><td>서버 응답 시간 등</td></tr></tbody></table>

위와 같은 이벤트 정보를 바탕으로 핵클에서 아래와 같이 활용 할 수 있습니다.

<table><thead><tr><th width="199.9296875">핵클 서비스</th><th>활용 방안 예시</th></tr></thead><tbody><tr><td><strong>A/B 테스트</strong></td><td>'구매 전환율'과 같은 핵심 지표(Metric) 계산</td></tr><tr><td><strong>데이터 분석</strong></td><td>특정 이벤트 발생 횟수, 빈도 등 사용자 행동 패턴 분석</td></tr><tr><td><strong>퍼널 분석</strong></td><td>사용자가 특정 목표(예: 구매)까지 도달하는 과정에서 이탈하는 지점 파악</td></tr></tbody></table>

{% hint style="info" %}
핵클을 통해 이벤트를 생성하고 관리하는 방법은 [이벤트 관리](/event-management/event-management.md)를 참고해주세요.
{% endhint %}

### 텍소노미

이벤트들을 특정 규칙에 따라 분류하는 작업을 택소노미(Taxonomy)라고 합니다.\
잘 설계된 택소노미는 조직 내 누구나 데이터를 명확하게 이해하고 활용할 수 있게 하여, 데이터 기반의 의사결정을 가속화합니다.

데이터 기반으로 효과적이고 효율적인 의사결정을 하기 위해서는 원하는 데이터를 정확하게 측정하고, 분석할 수 있어야 합니다.

이 과정의 첫 단계가 바로 이벤트를 정의하고 분류하는 것, 이벤트 택소노미 정의이기 때문에 이 작업은 매우 중요합니다.

#### 이벤트 네이밍 컨벤션

이벤트 네이밍 컨벤션이란 이벤트를 명확하게 식별하고, 분류하기 위해 조직 내 합의된 규칙을 말합니다. 이벤트를 잘 정의하고 분류하기 위해 네이밍 컨벤션을 정하는 것은 **매우 중요합니다**.

이벤트 네이밍 컨벤션을 잘 적립하여, 조직 내 커뮤니케이션을 능숙하게 진행해보세요!

**이벤트 네이밍 컨벤션 예**

이벤트를 통해 우리는 특정 사용자가 ‘어디서’ ‘무엇을 했는지’를 남기고 싶을 것 입니다.

<table><thead><tr><th width="185.46875">구분</th><th width="259.99609375">설명</th><th>예시</th></tr></thead><tbody><tr><td><strong>name</strong></td><td>'어디서' 일어났는지에 해당하는 <strong>위치</strong></td><td><code>home</code>, <code>gnb</code>, <code>login_page</code></td></tr><tr><td><strong>action</strong></td><td>'무엇을 했는지'에 해당하는 <strong>행동</strong></td><td><code>click</code>, <code>scroll</code>, <code>view</code>, <code>submit</code></td></tr><tr><td><strong>object</strong></td><td>행동의 대상이 되는 <strong>요소</strong></td><td><code>search_button</code>, <code>login_form</code>, <code>product_banner</code></td></tr></tbody></table>

위와 구분하면 아래와 같이 이벤트를 만들 수 있습니다.

<table><thead><tr><th width="185.0546875">텍소노미 구분</th><th width="259.80078125">예시</th><th>설명</th></tr></thead><tbody><tr><td><strong>action_name</strong></td><td><code>viewed_home</code></td><td>사용자가 <strong>홈(home) 화면</strong>에 <strong>진입(viewed)</strong>한 행동</td></tr><tr><td><strong>action_object_name</strong></td><td><code>clicked_search_home</code></td><td>사용자가 <strong>홈(home) 화면</strong>의 <strong>검색(search) 버튼</strong>을 <strong>클릭(clicked)</strong>한 행동</td></tr><tr><td><strong>action_object</strong></td><td><code>clicked_search</code></td><td>사용자가 <strong>검색(search) 버튼</strong>을 <strong>클릭(clicked)</strong>한 행동 (위치 무관)</td></tr></tbody></table>

gnb 영역처럼 공통 영역에서 발생하는 사용자 행동은 clicked\_search\_gnb와 같이 함께 남길 수 있습니다.\
gnb영역이 노출되는 개별 페이지를 별도로 남기고 싶다면, 공통 이벤트에 속성값으로 페이지를 남기는 방법을 추천합니다.

{% hint style="info" %}
[이벤트 택소노미 정의부터 실무 적용까지, A to Z 가이드 확인하기 👉](https://hackle.io/ko/post/event-taxonomy/?utm_source=blog)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hackle.io/getting-started/event.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
